<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <h3>
              <strong>Manage Vehicle Categories</strong>
            </h3>
            <div class="fm-row float2">
              <div class="row">
                <div class="col-sm-4">
                </div>
                <div class="col-sm-8 text-right">
                  <button class="btn btn-sm btn-primary green" (click)="refetchVehicleModel()">
                    <i aria-hidden="true" class="fa fa-refresh"></i> Refresh</button>
                  <ng-container *ngIf="aclAdd">
                    <button type="submit" class="btn btn-primary btn-sm blue"
                      [routerLink]="['/admin/fleet/vehicle-category/add']">Add
                      new record</button>
                  </ng-container>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div class="table-responsive">
                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive">
                  <thead>
                    <tr>
                      <th scope="col">Vehicle Category image</th>
                      <th scope="col">Vehicle app icon</th>
                      <th scope="col">Name</th>
                      <th scope="col">Short Description</th>
                      <th scope="col">Detailed Description</th>
                      <th scope="col">Seat Counts</th>
                      <th scope="col">Fare Breakdown</th>
                      <th scope="col">Type</th>
                      <th scope="col">Default</th>
                      <th scope="col">Tarriffs</th>
                      <th scope="col">Payment Types</th>
                      <th scope="col">Priority</th>
                      <th scope="col">In app views</th>
                      <th scope="col">Booking Available</th>
                      <th scope="col">Scheduling threshholds(minutes)</th>
                      <th scope="col">Destination Skip allowed</th>
                      <th scope="col">Max ETA for schedule (minutes)</th>
                      <th scope="col">Max Radius to dispatch (km)</th>
                      <th scope="col">Vehicle limit to timeout (count)</th>
                      <th scope="col">First vehicle fetch threshhold (count)</th>
                      <th scope="col">Vehicle count on single fetch (count)</th>
                      <th scope="col">Disabled status</th>
                      <th scope="col">Block status </th>
                      <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchLoader">
                      <img class="loader-img" src="assets/img/loader.gif" alt="loader" />
                    </span>
                    <tr *ngFor="let vehicleCategory of CategoryData">
                      <td><img class="vehicle-img"
                          [src]="vehicleCategory.category_image? imageUrl + '/uploads/vehiclemodels/' + vehicleCategory.category_image: '../../assets/img/vehicle.jpeg'" alt="profile img">
                      </td>
                      <td><img class="vehicle-icon-img"
                          [src]="vehicleCategory.icon_image? imageUrl + '/uploads/vehiclemodels/' + vehicleCategory.icon_image: '../../assets/img/vehicle.jpeg'" alt="profile img">
                      </td>
                      <td>{{vehicleCategory.name}}</td>
                      <td>{{vehicleCategory.short_description}}</td>
                      <td>{{vehicleCategory.detailed_description}}</td>
                      <td>{{vehicleCategory.seat_count}}</td>
                      <td>{{vehicleCategory.fare_breakdown}}</td>
                      <td>{{vehicleCategory.type}}</td>
                      <td>{{vehicleCategory.isDefault}}</td>
                      <td><span *ngFor='let tarrif of vehicleCategory.tarrifs'>
                          {{tarrif.name}}<br />
                        </span>
                      </td>
                      <td><span *ngFor='let payment_type of vehicleCategory.payment_types'>
                          {{payment_type.payment_type}}<br />
                        </span>
                      </td>
                      <td>{{vehicleCategory.priority}}</td>
                      <td>
                        <ng-container *ngIf='vehicleCategory.visible_short_menu'>
                          <p *ngIf='vehicleCategory.visible_short_menu=="true"'>Allowed in Compressed View</p>
                          <p *ngIf='vehicleCategory.visible_short_menu=="false"'>Not Allowed in Compressed View</p>
                          <p *ngIf='vehicleCategory.visible_expand_menu=="true"'>Allowed in Expanded View</p>
                          <p *ngIf='vehicleCategory.visible_expand_menu=="false"'>Not Allowed in Expanded View</p>
                        </ng-container>
                        <ng-container *ngIf='!vehicleCategory.visible_short_menu'>
                          <p>Allowed in Compressed View</p>
                          <p>Allowed in Expanded View</p>
                        </ng-container>
                      </td>
                      
                      <td>
                        <ng-container *ngIf='vehicleCategory.available_for'>
                          <p *ngIf='vehicleCategory.available_for=="2"'>Book now & schedule Ride enabled</p>
                          <p *ngIf='vehicleCategory.available_for=="1"'>Schedule Ride Only enabled</p>
                          <p *ngIf='vehicleCategory.available_for=="0"'>Book now Only enabled</p>
                        </ng-container>
                        <ng-container *ngIf='!vehicleCategory.available_for'>
                          <p>Book now & schedule enabled</p>
                        </ng-container>
                      </td>
                      <td>
                        <ng-container *ngIf='vehicleCategory.schedule_before'>
                          <p *ngIf='vehicleCategory.schedule_before!=="0"'>Schedule allow after -
                            {{vehicleCategory.schedule_before}}</p>
                          <p *ngIf='vehicleCategory.schedule_before=="0"'>Schedule allow after -
                            NA</p>
                          <p *ngIf='vehicleCategory.schedule_upto!=="0"'>Schedule allow upto -
                            {{vehicleCategory.schedule_upto}}</p>
                          <p *ngIf='vehicleCategory.schedule_upto=="0"'>Schedule allow upto -
                            NA</p>
                        </ng-container>
                        <ng-container *ngIf='!vehicleCategory.schedule_before'>
                          <p>Schedule allow after -
                            NA</p>
                          <p>Schedule allow upto -
                            NA</p>
                        </ng-container>
                      </td>
                      <td>
                        <p *ngIf='!vehicleCategory.skip_destination'>NA</p>
                        <p *ngIf='vehicleCategory.skip_destination=="true"'>Allowed</p>
                        <p *ngIf='vehicleCategory.skip_destination=="false"'>Not Allowed</p>
                      </td>
                      <td>
                        <p *ngIf='!vehicleCategory.eta_for_schedule_only'> NA</p>
                        <p *ngIf='vehicleCategory.eta_for_schedule_only'>{{vehicleCategory.eta_for_schedule_only}}</p>
                      </td>
                      <td>
                        <p *ngIf='vehicleCategory.distance_to_timeout'>{{vehicleCategory.distance_to_timeout}} km</p>
                        <p *ngIf='!vehicleCategory.distance_to_timeout'>NA</p>
                      </td>
                      <td>
                        <p *ngIf='!vehicleCategory.vehicles_count_to_timeout'>NA</p>
                        <p *ngIf='vehicleCategory.vehicles_count_to_timeout'>{{vehicleCategory.vehicles_count_to_timeout}}</p>
                      </td>

                      <td >
                        <p *ngIf='vehicleCategory.total_vehicle_count_limit'>{{vehicleCategory.total_vehicle_count_limit}}</p>
                        <p *ngIf='!vehicleCategory.total_vehicle_count_limit'>NA</p>
                      </td>
                      <td>
                        <p *ngIf='vehicleCategory.min_vehicle_count'>{{vehicleCategory.min_vehicle_count}}</p>
                        <p *ngIf='!vehicleCategory.min_vehicle_count'>NA</p>
                      </td>
                      <td>
                        <p *ngIf='!vehicleCategory.block_status'> NA</p>
                        <p *ngIf='vehicleCategory.block_status=="true"'>Blocked</p>
                        <p *ngIf='vehicleCategory.block_status=="false"'>Unblocked</p>
                      </td>
                      <td>
                        <p *ngIf='!vehicleCategory.isDisabled'> NA</p>
                        <p *ngIf='vehicleCategory.isDisabled=="true"'>Disabled</p>
                        <p *ngIf='vehicleCategory.isDisabled=="false"'>Active</p>
                      </td>
                      <td *ngIf="aclEdit || aclDelete">
                        <span *ngIf="aclEdit" matTooltip="Edit">
                          <a [routerLink]="['/admin/fleet/vehicle-category/edit', vehicleCategory._id]">
                            <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                          </a>
                        </span>&nbsp;&nbsp;&nbsp;
                        <span *ngIf="aclDelete" matTooltip="Delete">
                          <a (click)="openDialog(vehicleCategory._id)">
                            <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                          </a>
                        </span>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <br>

              <div class="container-fluid" *ngIf="vehicleCategoryLength>0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <div *ngIf="del">
                      <ngb-pagination [collectionSize]="vehicleCategoryLength" (pageChange)="pagingAgent($event)"
                        [page]="1" [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5"
                        [boundaryLinks]="true"></ngb-pagination>
                    </div>
                    <div *ngIf="!del">
                      <ngb-pagination [collectionSize]="vehicleCategoryLength" (pageChange)="pagingAgent($event)"
                        [page]="1" [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5"
                        [boundaryLinks]="true"></ngb-pagination>
                    </div>
                  </div>
                </div>
              </div>
              <div class="container-fluid" *ngIf="vehicleCategoryLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found.
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>